Bug 1022403 - Got debug message in terminal while qemu-img creating qcow2 image
Got debug message in terminal while qemu-img creating qcow2 image
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glusterfs (Show other bugs)
6.5
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Bug Updates Notification Mailing List
shilpa
:
Depends On:
Blocks: 1029367 1050906 1054696 1300567
  Show dependency treegraph
 
Reported: 2013-10-23 04:34 EDT by mazhang
Modified: 2017-12-06 05:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1029367 1050906 (view as bug list)
Environment:
Last Closed: 2017-12-06 05:16:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mazhang 2013-10-23 04:34:39 EDT
Description of problem:
Got debug message in terminal while qemu-img creating qcow2 image.

Version-Release number of selected component (if applicable):

rhs:
[root@rhs glusterfs-3.4.0.36rhs-1.el6rhs]# rpm -qa |grep glusterfs
glusterfs-fuse-3.4.0.36rhs-1.el6rhs.x86_64
glusterfs-libs-3.4.0.36rhs-1.el6rhs.x86_64
glusterfs-server-3.4.0.36rhs-1.el6rhs.x86_64
glusterfs-3.4.0.36rhs-1.el6rhs.x86_64
glusterfs-rdma-3.4.0.36rhs-1.el6rhs.x86_64
glusterfs-api-3.4.0.36rhs-1.el6rhs.x86_64
glusterfs-geo-replication-3.4.0.36rhs-1.el6rhs.x86_64

host:
[root@m2 ~]# rpm -qa |grep glusterfs
glusterfs-api-3.4.0.36rhs-1.el6.x86_64
glusterfs-3.4.0.36rhs-1.el6.x86_64
glusterfs-libs-3.4.0.36rhs-1.el6.x86_64
[root@m2 ~]# rpm -qa |grep qemu
qemu-guest-agent-0.12.1.2-2.414.el6.x86_64
gpxe-roms-qemu-0.9.7-6.10.el6.noarch
qemu-kvm-tools-0.12.1.2-2.412.el6.x86_64
qemu-kvm-0.12.1.2-2.412.el6.x86_64
qemu-img-0.12.1.2-2.412.el6.x86_64
qemu-kvm-debuginfo-0.12.1.2-2.412.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.Create qcow2 image with gluster native.
#qemu-img create -f qcow2 gluster://10.66.4.216/gv0/ttt.qcow2 10G

2.
3.

Actual results:
[root@m2 ~]#  qemu-img create -f qcow2 gluster://10.66.4.216/gv0/ttt.qcow2 10G
Formatting 'gluster://10.66.4.216/gv0/ttt.qcow2', fmt=qcow2 size=10737418240 encryption=off cluster_size=65536 
[2013-10-23 05:46:49.102718] I [client.c:2103:client_rpc_notify] 0-gv0-client-0: disconnected from 10.66.4.216:49152. Client process will keep trying to connect to glusterd until brick's port is available. 
[2013-10-23 05:46:49.329308] I [client.c:2103:client_rpc_notify] 0-gv0-client-0: disconnected from 10.66.4.216:49152. Client process will keep trying to connect to glusterd until brick's port is available. 
[root@m2 ~]#  qemu-img create -f qcow2 gluster://10.66.4.216/gv0/t23.qcow2 10G
Formatting 'gluster://10.66.4.216/gv0/t23.qcow2', fmt=qcow2 size=10737418240 encryption=off cluster_size=65536 
[2013-10-23 05:46:55.146245] I [client.c:2103:client_rpc_notify] 0-gv0-client-0: disconnected from 10.66.4.216:49152. Client process will keep trying to connect to glusterd until brick's port is available. 
[root@m2 ~]#  qemu-img create -f qcow2 gluster://10.66.4.216/gv0/t23sad.qcow2 10G
Formatting 'gluster://10.66.4.216/gv0/t23sad.qcow2', fmt=qcow2 size=10737418240 encryption=off cluster_size=65536 
[2013-10-23 05:46:58.763283] I [client.c:2103:client_rpc_notify] 0-gv0-client-0: disconnected from 10.66.4.216:49152. Client process will keep trying to connect to glusterd until brick's port is available. 

1. The debug messages just displayed while creating qcow2 images.
2. The 24th create images was normal in my test, so it is a timing issue.

Expected results:
Debug messages disappearance.

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-27 23:25:13 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Poornima G 2014-04-09 03:07:18 EDT
Fixed in glusterfs-3.5qa2-0.294.git00802b3.el6rhs or the latest gluster version.
Please test and close the bug.
Comment 4 mazhang 2014-10-27 06:04:05 EDT
Test this bug on latest glusterfs, still hit this problem.

Gluster-server:
glusterfs-3.6.0.29-3.el6rhs.x86_64
glusterfs-api-3.6.0.29-3.el6rhs.x86_64
glusterfs-fuse-3.6.0.29-3.el6rhs.x86_64
glusterfs-server-3.6.0.29-3.el6rhs.x86_64
glusterfs-libs-3.6.0.29-3.el6rhs.x86_64
glusterfs-cli-3.6.0.29-3.el6rhs.x86_64

Gluster-client:
glusterfs-fuse-3.6.0.29-2.el7.x86_64
glusterfs-api-3.6.0.29-2.el7.x86_64
glusterfs-libs-3.6.0.29-2.el7.x86_64
glusterfs-3.6.0.29-2.el7.x86_64

qemu-kvm:
qemu-img-rhev-2.1.2-4.el7.x86_64
qemu-kvm-rhev-debuginfo-2.1.2-4.el7.x86_64
qemu-kvm-tools-rhev-2.1.2-4.el7.x86_64
qemu-kvm-rhev-2.1.2-4.el7.x86_64
qemu-kvm-common-rhev-2.1.2-4.el7.x86_64

Result:
[root@dhcp-11-16 ~]# qemu-img create -f qcow2 gluster://10.66.106.25/gv0/ttt.qcow2 1G
Formatting 'gluster://10.66.106.25/gv0/ttt.qcow2', fmt=qcow2 size=1073741824 encryption=off cluster_size=65536 lazy_refcounts=off 
[2014-10-27 09:56:49.270002] I [client.c:2215:client_rpc_notify] 0-gv0-client-0: disconnected from gv0-client-0. Client process will keep trying to connect to glusterd until brick's port is available
[2014-10-27 09:56:49.436937] I [client.c:2215:client_rpc_notify] 0-gv0-client-0: disconnected from gv0-client-0. Client process will keep trying to connect to glusterd until brick's port is available
[2014-10-27 09:56:49.572245] I [client.c:2215:client_rpc_notify] 0-gv0-client-0: disconnected from gv0-client-0. Client process will keep trying to connect to glusterd until brick's port is available
[root@dhcp-11-16 ~]# qemu-img create -f qcow2 gluster://10.66.106.25/gv0/tttads.qcow2 1G
Formatting 'gluster://10.66.106.25/gv0/tttads.qcow2', fmt=qcow2 size=1073741824 encryption=off cluster_size=65536 lazy_refcounts=off 
[2014-10-27 09:57:35.146219] I [client.c:2215:client_rpc_notify] 0-gv0-client-0: disconnected from gv0-client-0. Client process will keep trying to connect to glusterd until brick's port is available
Comment 6 Jan Kurik 2017-12-06 05:16:00 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.